From f267c9d5a0486b394bfdc87c9827edcb71f1c126 Mon Sep 17 00:00:00 2001
From: Starbeamrainbowlabs <sbrl@starbeamrainbowlabs.com>
Date: Tue, 11 Oct 2016 19:22:29 +0100
Subject: [PATCH] Add header to upload file page

---
 Changelog.md               | 3 ++-
 build/index.php            | 3 ++-
 module_index.json          | 2 +-
 modules/feature-upload.php | 3 ++-
 4 files changed, 7 insertions(+), 4 deletions(-)

diff --git a/Changelog.md b/Changelog.md
index 24838fe..dc3f458 100755
--- a/Changelog.md
+++ b/Changelog.md
@@ -3,6 +3,7 @@
 ## v0.13-dev
 
 ### Added
+ - Added header to upload file page.
  - Added history support to the `raw` action.
 
 ### Changed
@@ -10,7 +11,7 @@
  - Added `$env->page_filename`, which points to the current page on disk.
  - Changed the way different display modes are accessed. You can now use the new `mode` parameter to the `view` action. It supports 4 different modes at present: `normal`, `printable`, `contentonly`, and `parsedsourceonly`.
 
-### Fixed
+## Fixed
  - The login session lifetime is now configurable (defaults to 24 hours), so you won't keep getting logged out all the time (in theory). (#113)
  - Recent changes made on different days are now displayed separately, as they should be (#112)
  - Always display footer message at the bottom of the page.
diff --git a/build/index.php b/build/index.php
index f2e67a1..764a2f9 100755
--- a/build/index.php
+++ b/build/index.php
@@ -2851,7 +2851,8 @@ register_module([
 						exit(page_renderer::render("Upload Error - $settings->sitename", "<p>You are not currently logged in, so you can't upload anything.</p>
 		<p>Try <a href='?action=login&returnto=" . rawurlencode("?action=upload") . "'>logging in</a> first.</p>"));
 					
-					exit(page_renderer::render("Upload - $settings->sitename", "<p>Select an image below, and then type a name for it in the box. This server currently supports uploads up to " . human_filesize(get_max_upload_size()) . " in size.</p>
+					exit(page_renderer::render("Upload - $settings->sitename", "<h1>Upload file</h1>
+		<p>Select an image below, and then type a name for it in the box. This server currently supports uploads up to " . human_filesize(get_max_upload_size()) . " in size.</p>
 		<p>$settings->sitename currently supports uploading of the following file types: " . implode(", ", $settings->upload_allowed_file_types) . ".</p>
 		<form method='post' action='?action=upload' enctype='multipart/form-data'>
 			<label for='file'>Select a file to upload.</label>
diff --git a/module_index.json b/module_index.json
index 9ca8bd9..44d8ab1 100755
--- a/module_index.json
+++ b/module_index.json
@@ -77,7 +77,7 @@
         "author": "Starbeamrainbowlabs",
         "description": "Adds the ability to upload files to Pepperminty Wiki. Uploaded files act as pages and have the special 'File\/' prefix.",
         "id": "feature-upload",
-        "lastupdate": 1476813240,
+        "lastupdate": 1476814007,
         "optional": false
     },
     {
diff --git a/modules/feature-upload.php b/modules/feature-upload.php
index b97bc3e..723be41 100644
--- a/modules/feature-upload.php
+++ b/modules/feature-upload.php
@@ -54,7 +54,8 @@ register_module([
 						exit(page_renderer::render("Upload Error - $settings->sitename", "<p>You are not currently logged in, so you can't upload anything.</p>
 		<p>Try <a href='?action=login&returnto=" . rawurlencode("?action=upload") . "'>logging in</a> first.</p>"));
 					
-					exit(page_renderer::render("Upload - $settings->sitename", "<p>Select an image below, and then type a name for it in the box. This server currently supports uploads up to " . human_filesize(get_max_upload_size()) . " in size.</p>
+					exit(page_renderer::render("Upload - $settings->sitename", "<h1>Upload file</h1>
+		<p>Select an image below, and then type a name for it in the box. This server currently supports uploads up to " . human_filesize(get_max_upload_size()) . " in size.</p>
 		<p>$settings->sitename currently supports uploading of the following file types: " . implode(", ", $settings->upload_allowed_file_types) . ".</p>
 		<form method='post' action='?action=upload' enctype='multipart/form-data'>
 			<label for='file'>Select a file to upload.</label>
